#ifndef _CRENDEROBJECT_H_
#define _CRENDEROBJECT_H_

#include "../App/EngineH.h"
#include "2DObject.h"
#include "3DObject.h"
#include "CSphereOB.h"

class C_RENDER_OBJECT_0
{
private :
	std::vector<C_2DOBJECT_0*> _v2dObject;
	std::vector<C_3DOBJECT_0*> _v3dObject;

public :
	~C_RENDER_OBJECT_0();

public :
	void Add(C_2DOBJECT_0 *o);
	void Add(C_3DOBJECT_0 *o);

	void Render();
	void Delete();
};

#endif //_CRENDEROBJECT_H_